#导入需要用到的库
import jieba
import wordcloud
from imageio import imread
import  matplotlib.pyplot as plt

#from scipy.misc import imread
mask=imageio.imread("pic2.jpg")  #读入图片 
f=open("十九大报告.txt","r")     # 打开需要分析的文本
t=f.read()   #读入txt文件的内容  对全文进行处理
f.close()   # 读取后关闭
 #使用jieba分词
ls=jieba.lcut(t)   # 精确模式，分词后返回一个列表
txt=" ".join(ls)  # 将空格与分词分隔开
 #配置词云参数   设置微软雅黑(
w=wordcloud.WordCloud(font_path="MSYH.TTC",mask=mask,\
                      width=1000,height=700,background_color="white",\
                      )
w.generate(txt)   #生成词云

plt.imshow(w)  #函数负责对图像进行处理，并显示其格式，
plt.axis( 'off')  # 不显示坐标轴
plt.show()  #将plt.imshow()处理后的函数显示出来。


w.to_file("shijiudabaogao.png")    #保存图片
